## NAME

i.evapo.mh - Computes evapotranspiration calculation modified or original Hargreaves formulation, 2001.

## KEYWORDS

imagery, evapotranspiration

## SYNOPSIS

i.evapo.mh
i.evapo.mh --help
i.evapo.mh [-zhs] netradiation_diurnal=name average_temperature=name minimum_temperature=name maximum_temperature=name [precipitation=name] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-z
  Set negative ETa to zero
-h
  Use original Hargreaves (1985)
-s
  Use Hargreaves-Samani (1985)
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

netradiation_diurnal=name [required]
  Name of input diurnal net radiation raster map [W/m2/d]
average_temperature=name [required]
  Name of input average air temperature raster map [C]
minimum_temperature=name [required]
  Name of input minimum air temperature raster map [C]
maximum_temperature=name [required]
  Name of input maximum air temperature raster map [C]
precipitation=name
  Name of precipitation raster map [mm/month]
  Disabled for original Hargreaves (1985)
output=name [required]
  Name for output raster map [mm/d]

## DESCRIPTION

i.evapo.mh calculates the reference evapotranspiration (ET) after Hargreaves et al. (1985), Hargreaves and Samani (1985) and the Modified Hargreaves version found in Droogers and Allen (2002).

## SEE ALSO

i.evapo.pt, i.evapo.pm, i.evapo.time, r.sun

## REFERENCES

- Hargreaves GL, Hargreaves GH, Riley JP, 1985. Agricultural benefits for Senegal River Basin. Journal of Irrigation and Drainange Engineering, ASCE, 111(2):113-124.
- Droogers P, Allen RG, 2002. Towards a simplified global reference evapotranspiration equation. Irrigation Science.
- Droogers, P., Allen RG. 2002. Estimating reference evapotranspiration under inaccurate data conditions. Irrigation and Drainage Systems 16: 33-45.
- Hargreaves GH, Samani ZA, 1985. Reference crop evapotranspiration from ambient air temperature. American Society of Agricultural Engineers (Microfiche collection)(USA). no. fiche no. 85-2517.

## AUTHORS

Yann Chemin, GRASS Development team, 2007-2016

## SOURCE CODE

Available at: i.evapo.mh source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6RC1 Reference Manual